<?php

	Class extension_codeareafield extends Extension
	{	  
	/*-------------------------------------------------------------------------
		Extension definition
	-------------------------------------------------------------------------*/
		public function about()
		{
			return array('name' => 'Field: Codearea',
						 'version' => '1.1',
						 'release-date' => '2010-04-20',
						 'author' => array('name' => 'John Porter',
										   'website' => 'http://designermonkey.co.uk/',
										   'email' => 'john.porter@designermonkey.co.uk'),
 						 'description' => 'Extension of the default textarea field that stores Code without html encoding or any alteration.'
				 		);
		}
		
		public function uninstall()
		{
			$this->_Parent->Database->query("DROP TABLE `tbl_fields_codearea`");
		}
		
		public function install()
		{
			return $this->_Parent->Database->query("CREATE TABLE `tbl_fields_codearea` (
				`id` int(11) unsigned NOT NULL auto_increment,
				`field_id` int(11) unsigned NOT NULL,
				`size` int(3) unsigned NOT NULL,
				PRIMARY KEY  (`id`),
				KEY `field_id` (`field_id`)
			)");
		}
	}